| Home | Libraries | People | FAQ | More

#### grammar::all_chars

The set of all characters.

##### Synopsis

Defined in header `<boost/url/grammar/all_chars.hpp>`

    constexpr implementation-defined all_chars;

##### Example

Character sets are used with rules and the functions `find_if` and `find_if_not`.

    system::result< core::string_view > rv = parse( "JohnDoe" , token_rule( all_chars ) );

##### BNF

    ALL       = %x00-FF

##### See Also

`find_if`, `find_if_not`, `parse`, `token_rule`.

Convenience header `<boost/url/grammar.hpp>`